Bug 145610 - CAN-2004-1380 Input stealing from other tabs (CAN-2004-1381)
Summary: CAN-2004-1380 Input stealing from other tabs (CAN-2004-1381)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20050120
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 02:04 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 19:01:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:323 normal SHIPPED_LIVE Critical: mozilla security update 2005-03-23 05:00:00 UTC

Description Josh Bressers 2005-01-20 02:04:04 UTC
===================================
Mozilla Security Advisory MSA05-005
===================================

Title:      Input stealing from other tabs
Severity:   High
Reporter:   Jakob Balle (Secunia)

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Jakob Balle of Secunia reported two vulnerabilities in windows with multiple
tabs. Malicious content in a background tab can attempt to steal information
intended for the topmost tab by popping up prompt dialog that appears to come
from the trusted site, or by silently redirecting input focus to a background
tab hoping to catch the user inputting something sensitive.

Jesse Ruderman and Martin Wargers discovered variants


Workaround
----------
Do not open sites with sensitive content in the same window as tabs from
untrusted content.
Upgrade to fixed version.


References
----------
http://secunia.com/advisories/12712
https://bugzilla.mozilla.org/show_bug.cgi?id=262887
https://bugzilla.mozilla.org/show_bug.cgi?id=265055
https://bugzilla.mozilla.org/show_bug.cgi?id=265456

Comment 1 Josh Bressers 2005-01-20 02:04:46 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2005-03-23 19:01:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html



Note You need to log in before you can comment on or make changes to this bug.